﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Documents.Excel;
using Path = System.IO.Path;

namespace InfragisticsEval
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            Loaded += OnLoaded;
        }

        private void OnLoaded(object sender, RoutedEventArgs e)
        {
            var file = Path.Combine(new FileInfo(Assembly.GetExecutingAssembly().Location).DirectoryName, "Infragistics_Eval.xlsx");
            Spreadsheet.Workbook = Workbook.Load(file);

            Spreadsheet.Workbook.NamedReferences.Add("NewNamedRef", "=C1");
            Spreadsheet.Workbook.WindowOptions.SelectedWorksheet.Rows[3].Cells[1].ApplyFormula("=NewNamedRef");


        }
    }
}
